regression: individual symbol layers are rendered as many times as the number of layers under rule 

based symbology

2015-08-15 02:13 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21281

Description

That's a pretty big regression, affecting symbology. Under rule-based symbology, a given symbol's layers will be rendered as many times

as the number of layers the symbol has. Which means that if a symbol has a non-opaque fill, that non-opaque fill will be rendered X times,

with X representing the number of layers the symbol has.

Strangely enough, the regression only occurs under rule-based symbology. The same symbol rendered under simple symbol symbology

works just fine.

Steps to reproduce

    1. Open the attached project

    2. Open the Composer 1 window, and notice how the drawn polygons on the map are clearly much darker (incorrect) than the legend

symbol (correct)

    3. Go back to QGIS' main window, open the layer's property window, and open the one rule from the rule-based symbology panel

    4. There, remove one of the Simple Fill layer, click on ok to close the symbol dialog, and click on Apply

    5. You'll notice the polygon fill on the canvas gets lighter

    6. Repeat again, remove another Simple Fill layer, and apply the change, you'll notice the polygon fill gets more lighter as you remove

layers, until your left with your single fill layer, with the proper non-opaque color rendered.

History

#1 - 2015-08-15 02:16 AM - Mathieu Pellerin - nIRV

- File layers_drawn_too_many_times.png added

Here's an exported composer that shows the regression: the polygons have their layers drawn too many times creating a much darker symbol than what's

correctly drawn in the legend item.

#2 - 2015-08-15 03:21 AM - Mathieu Pellerin - nIRV

Matthias Kuhn has found out that this issue was already present in QGIS 2.10, so this is not a regression from this development cycle.

#3 - 2015-10-08 02:16 PM - Nyall Dawson

Fixed in a0d7653b53e63da9751755096b7bb4445e7632a1

#4 - 2015-10-08 02:16 PM - Nyall Dawson

- Resolution set to fixed/implemented
- Status changed from Open to Closed

Files

color_opacity_error.zip 18.9 KB 2015-08-15 Mathieu Pellerin - nIRV

layers_drawn_too_many_times.png 42.6 KB 2015-08-15 Mathieu Pellerin - nIRV
